LicenseHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: LicenseHandle

# Interface LicenseHandle

All Superinterfaces:
  `FormComponentHandle`

public interface LicenseHandle extends FormComponentHandle
Handle for the "License agreement" form component. The Swing widget is a `JEditorPane` that renders the license text.

Reach this handle via `ScreenHandle.license()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LicenseHandle`
  `accept()`
  Select the accept radio button.
  `LicenseHandle`
  `assertDisabled()`
  `LicenseHandle`
  `assertEnabled()`
  `LicenseHandle`
  `assertInvisible()`
  `LicenseHandle`
  `assertVisible()`
  `String`
  `getDisplayedText()`
  The rendered license text with HTML stripped.
  `boolean`
  `hasBeenScrolledToBottom()`
  Whether the user has scrolled to the bottom of the license at least once.
  `boolean`
  `isAccepted()`
  Whether the accept radio button is currently selected.
  `boolean`
  `isReadAllRequired()`
  Whether the read-all-required option is enabled on the form component.
  `LicenseHandle`
  `reject()`
  Select the refuse radio button.
  `LicenseHandle`
  `scrollToBottom()`
  Scroll the license text pane to the bottom and wait for the runtime to register the scroll.
  `LicenseHandle`
  `scrollToBottom(Duration timeout)`
  Same as `scrollToBottom()` but with an explicit timeout for the scroll-registered check.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getDisplayedText

    @NotNull String getDisplayedText()
    The rendered license text with HTML stripped.

  - ### accept

    @NotNull LicenseHandle accept()
    Select the accept radio button.

  - ### reject

    @NotNull LicenseHandle reject()
    Select the refuse radio button.

  - ### isAccepted

    boolean isAccepted()
    Whether the accept radio button is currently selected.

  - ### isReadAllRequired

    boolean isReadAllRequired()
    Whether the read-all-required option is enabled on the form component.

  - ### hasBeenScrolledToBottom

    boolean hasBeenScrolledToBottom()
    Whether the user has scrolled to the bottom of the license at least once.

  - ### scrollToBottom

    @NotNull LicenseHandle scrollToBottom()
    Scroll the license text pane to the bottom and wait for the runtime to register the scroll. Required before `accept()` when `isReadAllRequired()` is true.

  - ### scrollToBottom

    @NotNull LicenseHandle scrollToBottom(@NotNull Duration timeout)
    Same as `scrollToBottom()` but with an explicit timeout for the scroll-registered check.

  - ### assertEnabled

    @NotNull LicenseHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull LicenseHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull LicenseHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull LicenseHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`